curl --request POST \
--url https://api.krea.ai/generate/image/bfl/flux-1-dev \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Swiss chalets, balconies embroidered with Edelweiss."
}
'import requests
url = "https://api.krea.ai/generate/image/bfl/flux-1-dev"
payload = { "prompt": "Swiss chalets, balconies embroidered with Edelweiss." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'Swiss chalets, balconies embroidered with Edelweiss.'})
};
fetch('https://api.krea.ai/generate/image/bfl/flux-1-dev', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Flux
Fast model. Best for LoRAs.
Pricing
Deprecated request aliases
Deprecated request aliases
| Deprecated | Use instead | Accepted until |
|---|---|---|
imageUrl | image_url | 2026-06-19 |
presetStyles | styles | 2026-06-19 |
styleImages | style_images | 2026-06-19 |
imageStyleRefs | image_style_references | 2026-06-19 |
guidance_scale_flux | guidance_scale | 2026-06-19 |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
URL to receive a POST request when the job completes. The webhook will receive the job data including results.
Body
18001 <= x <= 100512 <= x <= 2368512 <= x <= 2368Can be an external URL, base64 data URI, or uploaded asset URL.
1024Styles (typically LoRAs) to use for the generation
Show child attributes
Show child attributes
Denoising strength when an input image is provided. 0 keeps the input image, 1 fully replaces it.
0 <= x <= 1Classifier-free guidance scale. Higher values follow the prompt more strictly. Default 3.0.
0 <= x <= 24Image prompts to use for the generation
Show child attributes
Show child attributes
Style references to use for the generation
Show child attributes
Show child attributes
Response
The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$backlogged, queued, scheduled, processing, sampling, intermediate-complete, completed, failed, cancelled ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
Was this page helpful?